Create a Connection Field - Cognigy Documentation
Create a Connection Field
POST /v2.0/connections/{connectionId}/fields
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"key": "some-key-from-connection-schema",
"value": "x123w123"
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields"
payload = {
"key": "some-key-from-connection-schema",
"value": "x123w123"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: 'some-key-from-connection-schema', value: 'x123w123'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'key' => 'some-key-from-connection-schema',
'value' => 'x123w123'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Responses
400 Bad Request
{
"type": "Bad Request",
"status": 400,
"detail": "Validation failed. Missing payload."
}
401 Unauthorized
{
"type": "Unauthorized",
"status": 401,
"detail": "<string>"
}
201 Created
The connection field was created.
Headers
- X-API-Key (string, required) : Supply the API Key in the HTTP header.
Body Parameters
- key (string) : The key of the connection field, should match the connection schema.
- value (string) : The value of the connection field.